Login Registre-se
java.lang.UnsupportedClassVersionError ao tentar gerar o XML [RESOLVIDO]  XML
Índice dos Fóruns » NF-e / NFS-e / CT-e / CF-e / Certificados Digitais
Autor Mensagem
jocabaldini

JavaC Membro

Membro desde: 31/10/2012 14:21:25
Mensagens: 178
Offline

Estava tentando gerar o XML e deu esse erro. Procurando no google diz que a causa é diferença de versão do JDK no servlet e no web server.

Meu JDK é o 1.7.0.21.

Alguém já teve esse tipo de erro e/ou sabe como resolvê-lo?

Segue a mensagem de erro no console:


E a classe usada pra gerar o XML (a classe enviNFe que é importada foi gerada a partir do XSD e adicionada em um jar que está no projeto)

Esta mensagem foi editada 1 vez. Última atualização foi em 26/04/2013 12:17:56

jocabaldini

JavaC Membro

Membro desde: 31/10/2012 14:21:25
Mensagens: 178
Offline

Erro foi causado por diferença do JDK instalado e o usado na configuração do Tomcat no Eclipse.

Não sei pq foi mostrar o erro só na hora de gerar o XML, mas o problema era esse.
 
Índice dos Fóruns » NF-e / NFS-e / CT-e / CF-e / Certificados Digitais
Ir para:   
Powered by JForum 2.1.9 © JForum Team